#include <stdio.h>
#include <stdlib.h>
#include <winb.h>
#include <te.h>
#include <fntb.h>
#include <gui.h>

extern int	mixDialogId ;
extern int	mixMesId[30] ;
extern int	mixSubDialogId ;
extern int	mixDiskVolumeId ;
extern int	mixVolumeSet() ;
extern int	mixMemoryVolumeId ;
extern int	mixDiskNumId ;
extern int	mixMemoryNumId ;
extern int	mixOkBtnId ;
extern int	mixOkchk() ;
extern int	mixCanBtnId ;

#define ALIGN	4
#define OFFSET(type) (sizeof(MMIPACKET) + (sizeof(type)+ALIGN-1)/ALIGN*ALIGN)

/*	MMI_init pf[^	*/

/*	wb_	*/

MMIINIT	initDataIOTMIX = { "MmiInit",  38, 0 } ;

/* mixDialogId */

static MMIPACKET d001 = {	&mixDialogId,
							NULL,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d001d = {	MS_BTLEFTL40 | MS_EVMOSONL40,
							  73, 131, 567, 350, 8, 4, 8,
							MS_SRECTL40 | MS_UFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* mixMesId[2] */

static MMIPACKET d002 = {	&mixMesId[2],
							&mixDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d002d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							  97, 135, 195, 152, 8,15, 8,
							MS_NONEL40,
							"dˍ킹Ǎ",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* mixSubDialogId */

static MMIPACKET d003 = {	&mixSubDialogId,
							&mixDialogId,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d003d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_FIXEDL40,
							  93, 156, 548, 314, 8, 4, 8,
							MS_DFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* mixMesId[3] */

static MMIPACKET d004 = {	&mixMesId[3],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d004d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 260, 169, 376, 185, 0,15, 8,
							MS_NONEL40,
							"~LVO[g",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* mixMesId[4] */

static MMIPACKET d005 = {	&mixMesId[4],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d005d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 105, 223, 175, 240, 0,15, 8,
							MS_NONEL40,
							"Ǎf[^",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[5] */

static MMIPACKET d006 = {	&mixMesId[5],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d006d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 118, 278, 174, 293, 0,15, 8,
							MS_NONEL40,
							"f[^",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixDiskVolumeId */

static MMIPACKET d007 = {	&mixDiskVolumeId,
							&mixSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d007d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							 174, 224, 461, 239, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							mixVolumeSet,
							  50,-100, 100,   1,   8,
							 265, 266
						} ;

/* mixMemoryVolumeId */

static MMIPACKET d008 = {	&mixMemoryVolumeId,
							&mixSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d008d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							 174, 278, 461, 293, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							mixVolumeSet,
							  50,-100, 100,   1,   8,
							 265, 266
						} ;

/* mixDiskNumId */

static MMIPACKET d009 = {	&mixDiskNumId,
							&mixSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d009d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 476, 220, 531, 243, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							mixVolumeSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  50,-100, 100,   1,   0,
							 263, 264
						} ;

/* mixMemoryNumId */

static MMIPACKET d010 = {	&mixMemoryNumId,
							&mixSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d010d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 476, 274, 531, 297, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							mixVolumeSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  50,-100, 100,   1,   0,
							 263, 264
						} ;

/* mixMesId[6] */

static MMIPACKET d011 = {	&mixMesId[6],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d011d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 196, 209, 337, 224, 0,15, 8,
							MS_NONEL40,
							"| | | | | | | | | | | |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[7] */

static MMIPACKET d012 = {	&mixMesId[7],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d012d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 316, 209, 457, 224, 0,15, 8,
							MS_NONEL40,
							"| | | | | | | | | | |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[8] */

static MMIPACKET d013 = {	&mixMesId[8],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d013d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 196, 204, 214, 221, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[9] */

static MMIPACKET d014 = {	&mixMesId[9],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d014d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 256, 204, 274, 221, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[10] */

static MMIPACKET d015 = {	&mixMesId[10],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d015d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 316, 204, 334, 221, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[11] */

static MMIPACKET d016 = {	&mixMesId[11],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d016d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 376, 204, 394, 221, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[12] */

static MMIPACKET d017 = {	&mixMesId[12],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d017d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 436, 203, 454, 220, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[13] */

static MMIPACKET d018 = {	&mixMesId[13],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d018d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 181, 191, 215, 206, 0,15, 8,
							MS_NONEL40,
							"-100",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[14] */

static MMIPACKET d019 = {	&mixMesId[14],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d019d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 241, 191, 275, 206, 0,15, 8,
							MS_NONEL40,
							"-50",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[15] */

static MMIPACKET d020 = {	&mixMesId[15],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d020d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 302, 191, 336, 206, 0,15, 8,
							MS_NONEL40,
							"0",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[16] */

static MMIPACKET d021 = {	&mixMesId[16],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d021d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 362, 191, 396, 206, 0,15, 8,
							MS_NONEL40,
							"50",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[17] */

static MMIPACKET d022 = {	&mixMesId[17],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d022d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 421, 191, 455, 206, 0,15, 8,
							MS_NONEL40,
							"100",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[18] */

static MMIPACKET d023 = {	&mixMesId[18],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d023d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 196, 263, 337, 278, 0,15, 8,
							MS_NONEL40,
							"| | | | | | | | | | | |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[19] */

static MMIPACKET d024 = {	&mixMesId[19],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d024d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 316, 263, 457, 278, 0,15, 8,
							MS_NONEL40,
							"| | | | | | | | | | |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[20] */

static MMIPACKET d025 = {	&mixMesId[20],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d025d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 196, 258, 214, 275, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[21] */

static MMIPACKET d026 = {	&mixMesId[21],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d026d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 256, 258, 274, 275, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[22] */

static MMIPACKET d027 = {	&mixMesId[22],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d027d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 316, 258, 334, 275, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[23] */

static MMIPACKET d028 = {	&mixMesId[23],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d028d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 376, 258, 394, 275, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[24] */

static MMIPACKET d029 = {	&mixMesId[24],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d029d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 436, 258, 454, 275, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[25] */

static MMIPACKET d030 = {	&mixMesId[25],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d030d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 181, 246, 215, 261, 0,15, 8,
							MS_NONEL40,
							"-100",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[26] */

static MMIPACKET d031 = {	&mixMesId[26],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d031d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 241, 246, 275, 261, 0,15, 8,
							MS_NONEL40,
							"-50",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[27] */

static MMIPACKET d032 = {	&mixMesId[27],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d032d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 302, 246, 336, 261, 0,15, 8,
							MS_NONEL40,
							"0",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[28] */

static MMIPACKET d033 = {	&mixMesId[28],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d033d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 362, 246, 396, 261, 0,15, 8,
							MS_NONEL40,
							"50",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[29] */

static MMIPACKET d034 = {	&mixMesId[29],
							&mixSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d034d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 421, 246, 455, 261, 0,15, 8,
							MS_NONEL40,
							"100",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixOkBtnId */

static MMIPACKET d035 = {	&mixOkBtnId,
							&mixDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d035d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							  93, 320, 154, 343,12, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							mixOkchk,
							0x0000
						} ;

/* mixCanBtnId */

static MMIPACKET d036 = {	&mixCanBtnId,
							&mixDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d036d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 487, 320, 548, 343,10, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							mixOkchk,
							0x0000
						} ;

/* mixMesId[0] */

static MMIPACKET d037 = {	&mixMesId[0],
							&mixDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d037d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 102, 324, 145, 340, 8,15, 8,
							MS_NONEL40,
							"  s",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* mixMesId[1] */

static MMIPACKET d038 = {	&mixMesId[1],
							&mixDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d038d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 495, 323, 541, 340, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

